Bug 252973 - halt script incompatible with the new nut-2.2.0
halt script incompatible with the new nut-2.2.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 08:48 EDT by Tomas Smetana
Modified: 2014-03-16 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.56-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 13:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (797 bytes, patch)
2007-08-16 08:48 EDT, Tomas Smetana
no flags Details | Diff

  None (edit)
Description Tomas Smetana 2007-08-16 08:48:22 EDT
Hi,
  the new version of NUT (network ups tools) brings some changes that affect the
halt script:
* the $MODEL variable is not set in /etc/sysconfig/ups
* the powerdown flag file is configurable via $POWERDOWNFLAG variable
* the particular drivers should not be called directly and /sbin/upsdrvctl
should be used instead to invoke drivers' shutdown sequence

I'm attaching a patch that shows the required changes.  Please update the halt
script to be compatible with the new NUT package.
Comment 1 Tomas Smetana 2007-08-16 08:48:22 EDT
Created attachment 161648 [details]
proposed patch
Comment 2 Bill Nottingham 2007-08-29 13:27:44 EDT
Does this mean I'll need to conflict with older nut packages? (I assume so.)
Comment 3 Tomas Smetana 2007-08-30 02:15:33 EDT
Yes.  This change should not appear in earlier versions (F-7 and older).
Comment 4 Bill Nottingham 2007-08-30 13:41:51 EDT
Fixed in 8.56-1.

Note You need to log in before you can comment on or make changes to this bug.